You are not logged in.

#1 2013-03-27 01:17:42

vvd
Member
Registered: 2008-08-07
Posts: 20

[FIXED] boost-libs update (1.53.0-1) broke deluge

now deluge bails out with:

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/deluge/ui/gtkui/gtkui.py", line 329, in _on_reactor_start
    client.start_classic_mode()
  File "/usr/lib/python2.7/site-packages/deluge/ui/client.py", line 559, in start_classic_mode
    self._daemon_proxy = DaemonClassicProxy(self.__event_handlers)
  File "/usr/lib/python2.7/site-packages/deluge/ui/client.py", line 432, in __init__
    self.__daemon = deluge.core.daemon.Daemon(classic=True)
  File "/usr/lib/python2.7/site-packages/deluge/core/daemon.py", line 136, in __init__
    from deluge.core.core import Core
  File "/usr/lib/python2.7/site-packages/deluge/core/core.py", line 36, in <module>
    from deluge._libtorrent import lt
  File "/usr/lib/python2.7/site-packages/deluge/_libtorrent.py", line 59, in <module>
    import libtorrent as lt
ImportError: /usr/lib/libboost_python.so.1.52.0: undefined symbol: PyUnicode_AsUTF8String

Edit: I think the version of boost-libs that broke deluge is 1.52.0-2.
BTW: Why do i see a 1.53.0-1 version for boost-libs on the front page of arch linux (recent updates) when pacman -Syyu gives me version 1.52.0-2 ? Thx.

Last edited by vvd (2013-03-27 19:40:27)


I am an evil patriARCH, peach!

Offline

#2 2013-03-27 01:35:06

s0lid7
Member
From: Hellas (Greece)
Registered: 2012-10-26
Posts: 52

Re: [FIXED] boost-libs update (1.53.0-1) broke deluge

Same problem here


Do a pacman -Syu to your brain regularly

Offline

#3 2013-03-27 01:58:56

dtomasiewicz
Member
Registered: 2011-10-19
Posts: 18

Re: [FIXED] boost-libs update (1.53.0-1) broke deluge

Also broke for me. Downgrading to 1.52.0-1 fixed it. Here are the relevant daemon.log lines:

Mar 26 20:49:11 daniel-thinkpad systemd[1]: Starting Deluge Daemon...
Mar 26 20:49:11 daniel-thinkpad systemd[1]: Started Deluge Daemon.
Mar 26 20:49:11 daniel-thinkpad deluged[31833]: [ERROR   ] 20:49:11 main:237 /usr/lib/libboost_python.so.1.52.0: undefined symbol: PyUnicode_AsUTF8String
Mar 26 20:49:11 daniel-thinkpad deluged[31833]: Traceback (most recent call last):
Mar 26 20:49:11 daniel-thinkpad deluged[31833]: File "/usr/lib/python2.7/site-packages/deluge/main.py", line 230, in start_daemon
Mar 26 20:49:11 daniel-thinkpad deluged[31833]: Daemon(options, args)
Mar 26 20:49:11 daniel-thinkpad deluged[31833]: File "/usr/lib/python2.7/site-packages/deluge/core/daemon.py", line 136, in __init__
Mar 26 20:49:11 daniel-thinkpad deluged[31833]: from deluge.core.core import Core
Mar 26 20:49:11 daniel-thinkpad deluged[31833]: File "/usr/lib/python2.7/site-packages/deluge/core/core.py", line 36, in <module>
Mar 26 20:49:11 daniel-thinkpad deluged[31833]: from deluge._libtorrent import lt
Mar 26 20:49:11 daniel-thinkpad deluged[31833]: File "/usr/lib/python2.7/site-packages/deluge/_libtorrent.py", line 59, in <module>
Mar 26 20:49:11 daniel-thinkpad deluged[31833]: import libtorrent as lt
Mar 26 20:49:11 daniel-thinkpad deluged[31833]: ImportError: /usr/lib/libboost_python.so.1.52.0: undefined symbol: PyUnicode_AsUTF8String
Mar 26 20:49:11 daniel-thinkpad systemd[1]: deluged.service: main process exited, code=exited, status=1/FAILURE
Mar 26 20:49:11 daniel-thinkpad systemd[1]: Unit deluged.service entered failed state

On the plus side, Deluge seems to work with the latest libtorrent-rasterbar.

Offline

#4 2013-03-27 02:03:37

s0lid7
Member
From: Hellas (Greece)
Registered: 2012-10-26
Posts: 52

Re: [FIXED] boost-libs update (1.53.0-1) broke deluge

And what if we can not downgrade cause we don't have previous boost-libs package in cache?
Problem happens since i updated to boost-libs 1.53.0.-2

Last edited by s0lid7 (2013-03-27 02:33:47)


Do a pacman -Syu to your brain regularly

Offline

#5 2013-03-27 02:53:43

dtomasiewicz
Member
Registered: 2011-10-19
Posts: 18

Re: [FIXED] boost-libs update (1.53.0-1) broke deluge

A.R.M has it:

(note: downgrade can automatically search ARM and install)

Last edited by dtomasiewicz (2013-03-27 02:55:23)

Offline

#6 2013-03-27 03:01:23

vvd
Member
Registered: 2008-08-07
Posts: 20

Re: [FIXED] boost-libs update (1.53.0-1) broke deluge

thx dtomasiewicz (for the linkt too, didn't had it cached either). Downgrading fixes this issue for me too.


I am an evil patriARCH, peach!

Offline

#7 2013-03-27 03:33:48

s0lid7
Member
From: Hellas (Greece)
Registered: 2012-10-26
Posts: 52

Re: [FIXED] boost-libs update (1.53.0-1) broke deluge

That worked for me too. Thanks dtomasiewicz.


Do a pacman -Syu to your brain regularly

Offline

#8 2013-03-27 04:40:04

Splatrat
Member
From: Linköping, Sweden
Registered: 2013-03-02
Posts: 14

Re: [FIXED] boost-libs update (1.53.0-1) broke deluge

Same issue, same solution.

Offline

#9 2013-03-27 05:03:02

Jristz
Member
From: America/Santiago
Registered: 2011-06-11
Posts: 1,022

Re: [FIXED] boost-libs update (1.53.0-1) broke deluge

bug reported: #34486


Well, I suppose that this is somekind of signature, no?

Offline

#10 2013-03-27 07:12:58

Sin2x
Member
Registered: 2013-03-22
Posts: 1

Re: [FIXED] boost-libs update (1.53.0-1) broke deluge

There is a more general bug related to this: https://bugs.archlinux.org/task/34478

Offline

#11 2013-03-27 07:19:17

colbert
Member
Registered: 2007-12-16
Posts: 809

Re: [FIXED] boost-libs update (1.53.0-1) broke deluge

Yup same issue and fix, used downgrade package to get back to boost-libs 1.52.0-1.

Offline

#12 2013-03-27 13:38:29

stephane
Forum Fellow
Registered: 2009-10-18
Posts: 25

Re: [FIXED] boost-libs update (1.53.0-1) broke deluge

Fixed

Offline

Board footer

Powered by FluxBB